package cn.com.victorysoft.business.analyze.service.condition;

import cn.com.victorysoft.business.analyze.entity.CstTableIndicator;
import cn.com.victorysoft.business.util.StringUtils;

/**
 * 字典-下拉选择类型
 */
public class DictCondition implements Condition {
    @Override
    public String buildSql(CstTableIndicator indicator, String... value) {
        String value1 = value[0];
        if (StringUtils.isNotEmpty(value1)) {
            return " and " + indicator.getTableId() + "." + indicator.getValueColumn() + " = '" + value[0] + "'";
        }
        return null;
    }
}
